repo/gentoo:master commit in: kde-plasma/plasma-login-manager/
"Andreas Sturmlechner" <[email protected]> Tue, 04 Aug 2026 20:51:26 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785876621.5cb0f7450dda6e56c24b7789c30521d7df1d0c15.asturm@gentoo> |
commit: 5cb0f7450dda6e56c24b7789c30521d7df1d0c15
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 4 16:16:35 2026 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Aug 4 20:50:21 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5cb0f745
kde-plasma/plasma-login-manager: 6.7.4 version bump
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
kde-plasma/plasma-login-manager/Manifest | 1 +
.../plasma-login-manager-6.7.4.ebuild | 102 +++++++++++++++++++++
2 files changed, 103 insertions(+)
diff --git a/kde-plasma/plasma-login-manager/Manifest b/kde-plasma/plasma-login-manager/Manifest
index e9f32bdd62a0..3b71a7a22b3a 100644
--- a/kde-plasma/plasma-login-manager/Manifest
+++ b/kde-plasma/plasma-login-manager/Manifest
@@ -1,2 +1,3 @@
DIST plasma-login-manager-6.6.6.tar.xz 152616 BLAKE2B 3eb041e7e5dd8157e994589d8fba93b5588225bbfeed90c60fca320cf6232e2bac65dfbec846c8e90ea6f32254c7292e80ce23e0ec18dba066622ea8e94e2819 SHA512 834161414036feade23f7b21f998ad6316deb930904eaa570e67f943d2aefe2678d1618fee223be6b3d7b572a130527a598d93f9fbdd74fff34e674f8fef3601
DIST plasma-login-manager-6.7.3.tar.xz 149940 BLAKE2B 6ef59c456d99fe8665f187df859783659bd8f0e7d365a3d15630349a4b7744498c6f01123280a63700310c9c097d04dceb0d0e36633d739c9a8c25c1a2c7b686 SHA512 c9f74575bbea8ff1469c37c23647ef22ebced3464ee4ac2846fd91333681393700242c9bc761a52e4a516beb29e1d2e091330ed683570e540f38b55a9da83eea
+DIST plasma-login-manager-6.7.4.tar.xz 150000 BLAKE2B 27c99c00a8ac6deaf5009c4d62cd43b5ce6309192ec829cdf7714bb3e7c3456f88636941763fa36aaf240cf32b679327f709c60b97cbae0d7184a03264f764c2 SHA512 e9a7055b57d27fd48fcd0b108761ae53884193589f34b899301c4873faeba804c25634667bfaf00dabe76cfe7c03d059c58efba72138de3005baebb9c5d16891
diff --git a/kde-plasma/plasma-login-manager/plasma-login-manager-6.7.4.ebuild b/kde-plasma/plasma-login-manager/plasma-login-manager-6.7.4.ebuild
new file mode 100644
index 000000000000..207f52983eb2
--- /dev/null
+++ b/kde-plasma/plasma-login-manager/plasma-login-manager-6.7.4.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+KFMIN=6.22.0
+QTMIN=6.10.0
+inherit ecm plasma.kde.org linux-info pam tmpfiles
+
+DESCRIPTION="Plasma Login Manager"
+HOMEPAGE="https://invent.kde.org/plasma/plasma-login-manager"
+
+LICENSE="GPL-2+ MIT CC-BY-3.0 CC-BY-SA-3.0 public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ >=dev-qt/qtbase-${QTMIN}:6[dbus,gui,network]
+ >=dev-qt/qtdeclarative-${QTMIN}:6
+ >=kde-frameworks/kauth-${KFMIN}:6
+ >=kde-frameworks/kcmutils-${KFMIN}:6
+ >=kde-frameworks/kconfig-${KFMIN}:6
+ >=kde-frameworks/kcoreaddons-${KFMIN}:6
+ >=kde-frameworks/kdbusaddons-${KFMIN}:6
+ >=kde-frameworks/ki18n-${KFMIN}:6
+ >=kde-frameworks/kio-6.22.1:6
+ >=kde-frameworks/kpackage-${KFMIN}:6
+ >=kde-frameworks/kwindowsystem-${KFMIN}:6
+ >=kde-plasma/kscreen-${KDE_CATV}:6
+ >=kde-plasma/layer-shell-qt-${KDE_CATV}:6
+ >=kde-plasma/libplasma-${KDE_CATV}:6=
+ >=kde-plasma/plasma-workspace-${KDE_CATV}:6
+ sys-apps/systemd:=[pam]
+ sys-libs/pam
+ x11-libs/libXau
+"
+RDEPEND="
+ ${DEPEND}
+ acct-user/plasmalogin
+ kde-plasma/kwin[lock]
+"
+BDEPEND="
+ dev-python/docutils
+ >=dev-build/cmake-3.25.0
+ >=dev-qt/qttools-${QTMIN}[linguist]
+ kde-frameworks/extra-cmake-modules:0
+ virtual/pkgconfig
+"
+
+pkg_setup() {
+ local CONFIG_CHECK="~DRM"
+ use kernel_linux && linux-info_pkg_setup
+}
+
+src_prepare() {
+ touch 01gentoo.conf || die
+
+ cat <<-EOF >> 01gentoo.conf
+ [General]
+ # Remove qtvirtualkeyboard as InputMethod default
+ InputMethod=
+ EOF
+
+ cmake_src_prepare
+
+ if ! use test; then
+ sed -e "/^find_package/s/ Test//" -i CMakeLists.txt || die
+ cmake_comment_add_subdirectory test
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DRUNTIME_DIR=/run/plasmalogin
+
+ # We install our own, our layout isn't in the upstream repo
+ -DINSTALL_PAM_CONFIGURATION=OFF
+ # If non-systemd compat ever arrives, we can try 7
+ # again to be in sync with CHECKVT from display-manager,
+ # but until then, stick with upstream default of 1.
+ #-DPLASMALOGIN_INITIAL_VT=7
+ )
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ insinto /etc/plasmalogin.conf.d/
+ doins "${S}"/01gentoo.conf
+
+ newpamd "${FILESDIR}"/plasmalogin.pam plasmalogin
+ newpamd "${FILESDIR}"/plasmalogin-autologin.pam plasmalogin-autologin
+ newpamd "${FILESDIR}"/plasmalogin-greeter.pam plasmalogin-greeter
+}
+
+pkg_postinst() {
+ tmpfiles_process plasmalogin.conf
+}